VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::ShutdownStub Class Reference

Remote stub implementation of the Shutdown API service. More...

Inherits vmware::appliance::techpreview::Shutdown.

List of all members.

## Public Member Functions
| ShutdownStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Cancel ()
| Cancel pending shutdown action.
void | Cancel (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel pending shutdown action.
global::System.Threading.Tasks.Task | CancelAsync ()
| Cancel pending shutdown action.
global::System.Threading.Tasks.Task | CancelAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel pending shutdown action.
void | Poweroff (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config)
| Power off the appliance.
void | Poweroff (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Power off the appliance.
global::System.Threading.Tasks.Task | PoweroffAsync (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config)
| Power off the appliance.
global::System.Threading.Tasks.Task | PoweroffAsync (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Power off the appliance.
void | Reboot (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config)
| Reboot the appliance.
void | Reboot (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Reboot the appliance.
global::System.Threading.Tasks.Task | RebootAsync (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config)
| Reboot the appliance.
global::System.Threading.Tasks.Task | RebootAsync (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Reboot the appliance.
vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig | Get ()
| Get details about the pending shutdown action.
vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get details about the pending shutdown action.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig > | GetAsync ()
| Get details about the pending shutdown action.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get details about the pending shutdown action.

## Detailed Description

Remote stub implementation of the Shutdown API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::ShutdownStub::ShutdownStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::appliance::techpreview::ShutdownStub::Cancel | ( |  | ) | `[inline]`

Cancel pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::Shutdown.

void vmware::appliance::techpreview::ShutdownStub::Cancel | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Cancel pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::Shutdown.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ShutdownStub::CancelAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Cancel pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::Shutdown.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ShutdownStub::CancelAsync | ( |  | ) | `[inline]`

Cancel pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::techpreview::Shutdown.

vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig vmware::appliance::techpreview::ShutdownStub::Get | ( |  | ) | `[inline]`

Get details about the pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Configuration of pending shutdown action.

Implements vmware::appliance::techpreview::Shutdown.

vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig vmware::appliance::techpreview::ShutdownStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get details about the pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Configuration of pending shutdown action.

Implements vmware::appliance::techpreview::Shutdown.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig> vmware::appliance::techpreview::ShutdownStub::GetAsync | ( |  | ) | `[inline]`

Get details about the pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Configuration of pending shutdown action.

Implements vmware::appliance::techpreview::Shutdown.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig> vmware::appliance::techpreview::ShutdownStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get details about the pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Configuration of pending shutdown action.

Implements vmware::appliance::techpreview::Shutdown.

void vmware::appliance::techpreview::ShutdownStub::Poweroff | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config | ) | `[inline]`

Power off the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of poweroff action

Implements vmware::appliance::techpreview::Shutdown.

void vmware::appliance::techpreview::ShutdownStub::Poweroff | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Power off the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of poweroff action
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::Shutdown.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ShutdownStub::PoweroffAsync | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Power off the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of poweroff action
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::Shutdown.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ShutdownStub::PoweroffAsync | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config | ) | `[inline]`

Power off the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of poweroff action

Implements vmware::appliance::techpreview::Shutdown.

void vmware::appliance::techpreview::ShutdownStub::Reboot | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Reboot the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of reboot action
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::Shutdown.

void vmware::appliance::techpreview::ShutdownStub::Reboot | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config | ) | `[inline]`

Reboot the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of reboot action

Implements vmware::appliance::techpreview::Shutdown.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ShutdownStub::RebootAsync | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Reboot the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of reboot action
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::Shutdown.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::ShutdownStub::RebootAsync | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config | ) | `[inline]`

Reboot the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of reboot action

Implements vmware::appliance::techpreview::Shutdown.

The documentation for this class was generated from the following file:

- ShutdownStub.cs